void CreateCaymanCharacters(ref n)
{
	object chobj;
	ref ch;

	makeref(ch, chobj);

// Grand Cayman Port :

// Grand Cayman tavern :

	// Olyver Littlejohn
	ch.old.name = "Olyver";
	ch.old.lastname = "Littlejohn";
	ch.name 	= TranslateString("","Olyver");
	ch.lastname = TranslateString("","Littlejohn");
	ch.id		= "Olyver Littlejohn";
	ch.model	= "Old_mat1";
	ch.headmodel = "h_Old_mat1";
	ch.sex = "man";
	ch.location	= "Grand_Cayman_Tavern";
	ch.location.group = "merchant";
	ch.location.locator = "goto3";
	ch.Dialog.Filename = "Olyver Littlejohn_dialog.c";
	ch.greeting = "Gr_Olyver Littlejohn";
	ch.rank 	= 1;
	ch.nation = ENGLAND;
	ch.repqtation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	ch.work = "";
	LAi_SetBarmanType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_CITIZENS");
	AddGameCharacter(n, ch);

// KK -->
	// Grand_Cayman_officiant
	ch.old.name = "Julia";
	ch.old.lastname = "Stirling";
	ch.name = TranslateString("", "Julia");
	ch.lastname = TranslateString("", "Stirling");
	ch.id		= "Grand_Cayman_officiant";
	ch.model	= "towngirl2";
	ch.sex = "woman";
	ch.sound_type = "female_citizen";
	ch.location	= "Grand_Cayman_Tavern";
	ch.location.group = "goto";
	ch.location.locator = "goto5";
// KK -->
	ch.tavern.location = ch.location;
	ch.tavern.location.group = ch.location.group;
	ch.tavern.location.locator = ch.location.locator;
	ch.resurrection.location = "Grand_Cayman_Tavern_upstairs";
	ch.resurrection.shore = "Cayman_shore_01";
// <-- KK
	ch.Dialog.Filename = "Eng_Officiant_dialog.c";
	ch.greeting = "Gr_eng_officiant";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "1";
	ch.quest.sex = 0;
	ch.sex.time = 0;
	LAi_SetWaitressType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_CITIZENS");
	AddGameCharacter(n, ch);
// <-- KK

// Grand Cayman shipyard :

	//Fletcher Rosewood
	ch.old.name = "Fletcher";
	ch.old.lastname = "Rosewood";
	ch.name 	= TranslateString("","Fletcher");
	ch.lastname 	= TranslateString("","Rosewood");
	ch.id		= "Fletcher Rosewood";
	ch.model	= "Bocman3";
	ch.headmodel = "h_Bocman3";
	ch.sex = "man";
	ch.location	= "Grand_Cayman_Shipyard";
	ch.location.group = "sit";
	ch.location.locator = "sit3";
	ch.Dialog.Filename = "Fletcher Rosewood_dialog.c";
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetHuberType(ch);
	LAi_group_MoveCharacter(ch, "ENGLAND_CITIZENS");
	ch.greeting = "Gr_Roger Murray";
	AddGameCharacter(n, ch);

// KK -->
	// governor
	ch.old.name = "Edmund";
	ch.old.middlename = "Christobel";
	ch.old.lastname = "Shaw";
	ch.name = TranslateString("","Edmund");
	ch.middlename = TranslateString("","Christobel");
	ch.lastname = TranslateString("","Shaw");
	ch.id		= "Edmund Christobel Shaw";
	ch.model = "albermal";
	ch.sex = "man";
	ch.location	= "Grand_Cayman_townhall";
	ch.location.group = "sit";
	ch.location.locator = "sit2";
	ch.Dialog.Filename = "Edmund Christobel Shaw_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "60";
	ch.experience = "0";
	ch.skill.Leadership = "6";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "5";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_RemoveLoginTime(ch);
	LAi_SetHuberType(ch);
	LAi_group_MoveCharacter(ch, "ENGLAND_CITIZENS");
	ch.greeting = "Gr_Robert Christopher Silehard";
	if (CAPTURE_COLONIES == 1) {
		ch.nation.n0.name = ch.old.name;
		ch.nation.n0.lastname = ch.old.lastname;
		ch.nation.n0.model = ch.model;
		ch.nation.n0.sex = ch.sex;
		ch.nation.n0.greeting = ch.greeting;
		ch.nation.n1.name = "Joseph";
		ch.nation.n1.lastname = "Fayette";
		ch.nation.n1.model = "huber_fra";
		ch.nation.n1.sex = "man";
		ch.nation.n1.greeting = "Gr_joseph claude le moigne";
		ch.nation.n2.name = "Miguel";
		ch.nation.n2.lastname = "de Espinoza";
		ch.nation.n2.model = "huber_spa";
		ch.nation.n2.sex = "man";
		ch.nation.n2.greeting = "Gr_Christofor Manuel de Alencar";
		ch.nation.n4.name = "Erazmus";
		ch.nation.n4.lastname = "Caverro";
		ch.nation.n4.model = "Nobleman";
		ch.nation.n4.sex = "man";
		ch.nation.n4.greeting = "Gr_Reynard Grueneveldt";
		ch.nation.n5.name = "Vasco";
		ch.nation.n5.lastname = "Masquez";
		ch.nation.n5.model = "huber_por";
		ch.nation.n5.sex = "man";
		ch.nation.n5.greeting = "Gr_Jacinto Arcibaldo Barreto";
	}
	AddGameCharacter(n, ch);
// <-- KK

// Cayman pirate house 1 :

	// John Coxon.
	ch.old.name = "John";
	ch.old.lastname = "Coxon";
	ch.name 	= TranslateString("","John"); 
	ch.lastname 	= TranslateString("","Coxon");
	ch.id		= "John Coxon";
	ch.model = "Corsair1_4";
	ch.headmodel = "h_Corsair1_4";
	ch.model.height = 1.75;
	//ch.model.animation = "man_woman_sit";
	ch.sex = "man"; 
	ch.loyality = 9;
	ch.nodisarm	= 1;		// PB: Disable disarming
	//ch.alignment = "bad";
	ch.nation	= PIRATE;
	ch.sound_type = "pirate";
	GiveItem2Character(ch, "blade27");
	ch.equip.blade = "blade27";
	GiveItem2Character(ch, "pistol5");
	ch.equip.gun = "pistol5";
	ch.location	= "Cayman_Pirate_house_01_inside";
	ch.location.group = "goto";
	ch.location.locator = "goto1";
	ch.homelocation	= "Cayman_Pirate_house_01_inside";
	ch.homelocation.group = "goto";
	ch.homelocation.locator = "goto1";
	ch.Dialog.Filename = "John Coxon_dialog.c"; // boal
	ch.rank 	= 45;
	ch.reputation = "42";
	TakeNItems(ch,"medical1", Rand(4)+1); // PB
	ch.experience = 20000;
	ch.skill.Leadership = "7";
	ch.skill.Fencing = "9";
	ch.skill.Sailing = "7";
	ch.skill.Accuracy = "8";
	ch.skill.Cannons = "6";
	ch.skill.Grappling = "4";
	ch.skill.Repair = "5";
	ch.skill.Defence = "8";
	ch.skill.Commerce = "2";
	ch.skill.Sneak = "5";
	ch.money = "0";
	ch.quest.meeting = "0";
	ch.Ship.Name = "The Virgin Queen";
	ch.Ship.Type = "Corvette6_50"; // PRS3
	ch.Ship.Stopped = true;
	//KNB ch.Ship.Cannons.Type = CANNON_TYPE_CANNON_LBS12;
	ch.perks.list.BasicDefense = true;
	ch.perks.list.AdvancedDefense = true;
	ch.perks.list.SwordplayProfessional = true;
	ch.perks.list.CriticalHit = true;
	ch.perks.list.Gunman = true;
	ch.perks.list.ProfessionalGunman = true;
	ch.perks.list.Rush = true;
	ch.perks.list.IronWill = true;
	ch.perks.list.FastReload = true;
	ch.perks.list.HullDamageUp = true;
	ch.perks.list.CrewDamageUp = true;
	ch.perks.list.BasicBattleState = true;
	ch.perks.list.BasicDefense = true;
	ch.perks.list.AdvancedDefense = true;
	ch.perks.list.ShipSpeedUp = true;
	ch.perks.list.LightRepair = true;
	ch.perks.list.SharedExperience = true;
	ch.perks.list.BasicCommerce = true;
	//LAi_SetSitType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetWarriorType(ch);
	LAi_warrior_DialogEnable(ch, true);
	LAi_SetHP(ch, 900.0, 900.0);
	LAi_NoRebirthEnable(ch);
	ch.greeting = "Gr_Ralph Fawn";
	LAi_group_MoveCharacter(ch, "QC_CITIZENS");
	AddGameCharacter(n, ch);


	///////////////////////////////////////////////////////////////////////////////////////////////
	// SOLDIERS
	///////////////////////////////////////////////////////////////////////////////////////////////
	// Soldier
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Grand Cayman soldier 01";
	ch.model = 6; // PB
	ch.sex = "man";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Cayman_port";
	ch.location.group = "goto";
	ch.location.locator = "soldier_01";
	ch.Dialog.Filename = "Greenford soldier_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "4";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Greenford Soldier";
	AddGameCharacter(n, ch);

	// Soldier
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Grand Cayman soldier 02";
	ch.model = 3; // PB
	ch.sex = "man";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Cayman_port";
	ch.location.group = "goto";
	ch.location.locator = "soldier_02";
	ch.Dialog.Filename = "Greenford soldier_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Greenford Soldier";
	AddGameCharacter(n, ch);

	// Soldier
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Grand Cayman soldier 03";
	ch.model = 5; // PB
	ch.sex = "man";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Cayman_port";
	ch.location.group = "goto";
	ch.location.locator = "citizen07";
	ch.Dialog.Filename = "Greenford soldier_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "2";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Greenford Soldier";
	AddGameCharacter(n, ch);

	// patrol
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= "";
	ch.id		= "Grand Cayman patrol 01";
	ch.model = 2; // PB
	ch.sex = "man";
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Cayman_port";
	ch.location.group = "goto";
	ch.location.locator = "locator28";
	ch.Dialog.Filename = "Patrol_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "50";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	ch.quest.meeting = "0";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

	//Soldier на выходе из города в порт
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= " ";
	ch.id		= "Grand Cayman soldier 04";
	ch.model = 6; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Grand_Cayman_town";
	ch.location.group = "goto";
	ch.location.locator = "goto1";
	ch.Dialog.Filename = "Greenford soldier_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Greenford Soldier";
	AddGameCharacter(n, ch);

	//Soldier на выходе из города в порт  -- еще один
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= " ";
	ch.id		= "Grand Cayman soldier 05";
	ch.model = 4; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Grand_Cayman_town";
	ch.location.group = "goto";
	ch.location.locator = "goto2";
	ch.Dialog.Filename = "Greenford soldier_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Greenford Soldier";
	AddGameCharacter(n, ch);

	//Soldier возле резиденции
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= " ";
	ch.id		= "Grand Cayman soldier 06";
	ch.model = 3; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Grand_Cayman_town";
	ch.location.group = "goto";
	ch.location.locator = "goto28";
	ch.Dialog.Filename = "Greenford soldier_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Greenford Soldier";
	AddGameCharacter(n, ch);

	//Soldier возле резиденции  -- еще один
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= " ";
	ch.id		= "Grand Cayman soldier 07";
	ch.model = 2; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Grand_Cayman_town";
	ch.location.group = "goto";
	ch.location.locator = "goto29";
	ch.Dialog.Filename = "Greenford soldier_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Greenford Soldier";
	AddGameCharacter(n, ch);

	//Soldier на выходе из города в джунгли
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= " ";
	ch.id		= "Grand Cayman soldier 08";
	ch.model = 5; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Grand_Cayman_town";
	ch.location.group = "goto";
	ch.location.locator = "goto19";
	ch.Dialog.Filename = "Greenford soldier_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Greenford Soldier";
	AddGameCharacter(n, ch);

	//Soldier на выходе из города в джунгли  -- еще один
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= " ";
	ch.id		= "Grand Cayman soldier 09";
	ch.model = 3; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Grand_Cayman_town";
	ch.location.group = "goto";
	ch.location.locator = "goto20";
	ch.Dialog.Filename = "Greenford soldier_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetGuardianType(ch);
	LAi_SetLoginTime(ch, 0.0, 24.0);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Greenford Soldier";
	AddGameCharacter(n, ch);

	//Patrol
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= " ";
	ch.id		= "Grand Cayman patrol 02";
	ch.model = 4; // PB
	LAi_CharacterReincarnation(ch, true, false);
	ch.sound_type = "soldier";
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Grand_Cayman_town";
	ch.location.group = "goto";
	ch.location.locator = "goto37";
	ch.Dialog.Filename = "Patrol_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

	//Patrol
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= " ";
	ch.id		= "Grand Cayman patrol 03";
	ch.model = 5; // PB
	LAi_CharacterReincarnation(ch, true, false);
	ch.sound_type = "soldier";
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Grand_Cayman_town";
	ch.location.group = "goto";
	ch.location.locator = "goto23";
	ch.Dialog.Filename = "Patrol_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "3";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);

	//Patrol
	ch.old.name = "Soldier";
	ch.old.lastname = "";
	ch.name 	= TranslateString("","Soldier");
	ch.lastname 	= " ";
	ch.id		= "Grand Cayman patrol 04";
	ch.model = 3; // PB
	ch.sound_type = "soldier";
	LAi_CharacterReincarnation(ch, true, false);
	ch.sex = "man";
	GiveItem2Character(ch, BLADE_SABER);
	ch.equip.blade = BLADE_SABER;
	ch.location	= "Grand_Cayman_town";
	ch.location.group = "goto";
	ch.location.locator = "goto27";
	ch.Dialog.Filename = "Patrol_dialog.c";
	ch.nation = ENGLAND;
	ch.rank 	= 1;
	ch.reputation = "None";
	ch.experience = "0";
	ch.skill.Leadership = "1";
	ch.skill.Fencing = "1";
	ch.skill.Sailing = "1";
	ch.skill.Accuracy = "1";
	ch.skill.Cannons = "1";
	ch.skill.Grappling = "1";
	ch.skill.Repair = "1";
	ch.skill.Defence = "1";
	ch.skill.Commerce = "1";
	ch.skill.Sneak = "1";
	ch.money = "10";
	LAi_SetPatrolType(ch);
	LAi_SetLoginTime(ch, 22.0, 5.98333);
	LAi_SetHP(ch, 80.0, 80.0);
	LAi_group_MoveCharacter(ch, "ENGLAND_SOLDIERS");
	ch.greeting = "Gr_Patrol";
	AddGameCharacter(n, ch);
}
